# Задача 6. Сжатие
# С увеличением объёма данных возникла потребность в сжатии этих данных, при этом без потери важной информации.
# Для этого было придумано кодирование, которое осуществляется следующим образом:
# s = 'aaaabbсaa' преобразуется в 'a4b2с1a2', то есть группы одинаковых символов исходной строки заменяются на этот
# символ и количество его повторений в этой позиции строки. # Напишите программу, которая считывает строку, кодирует
# её предложенным алгоритмом и выводит закодированную последовательность на экран. Кодирование должно учитывать регистр
# символов.
# Пример:
# Введите строку: aaAAbbсaaaA
# Закодированная строка: a2A2b2с1a3A1

text = input('Введите строку: ')

count = 1
pres_text = text[0]
for i in text[1:]:
    if pres_text[-1] == i:
        count += 1
    else:
        pres_text += str(count) + i
        count = 1
pres_text += str(count)

print(pres_text)
